Subject: Re: [http-state] parser rules of draft-ietf-httpstate-cookie-22

From: =JeffH <[email-masked]>
Date: Fri, 25 Feb 2011 09:21:52 -0800

>>>  cookie-value      = *cookie-octet / ( DQUOTE *cookie-octet DQUOTE )
 >>>  cookie-octet      = %x21 / %x23-2B / %x2D-3A / %x3C-5B / %x5D-7E
 >>>                   ; ASCII characters excluding CTLs, whitespace,
 >>>                   ; DQUOTE, comma, semicolon, and backslash
 >>
 >> Works for me.  Thanks Roy.
 >
 > In the datatracker, I've updated the RFC Editor note accordingly.

great, thx all for sorting this out.

Also, I'm glad you've added the comment to the ABNF above, tho one might add..

s/ASCII/7-bit ASCII/

..or something similar to explicitly indicate exclusion of %x80-FF.

thx,

=JeffH

---

From: Julian Reschke <[email-masked]>
Date: Fri, 25 Feb 2011 18:28:08 +0100

> ..or something similar to explicitly indicate exclusion of %x80-FF.

"US-ASCII", please.